# $Revision: 1.7 $, $Date: 2011/08/14 09:56:40 $
%define		syntax upstart
Summary:	Vim syntax: Varnish configuation Language
Name:		vim-syntax-%{syntax}
Version:	1.3
Release:	1
License:	GPL v2
Group:		Applications/Editors/Vim
Source0:	http://launchpad.net/upstart/1.x/1.3/+download/upstart-%{version}.tar.gz
# Source0-md5:	7820797b64878c27115fff6a7398a6a9
Patch0:		%{name}-keywords_and_pld.patch
Requires:	vim-rt >= 4:7.2.411
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim

%description
Vim syntax for Upstart job files.

%prep
%setup -qc
mv upstart-*/contrib/vim/* .
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_vimdatadir}/{syntax,ftdetect}
cp -a syntax ftdetect $RPM_BUILD_ROOT%{_vimdatadir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_vimdatadir}/syntax/*.vim
%{_vimdatadir}/ftdetect/*.vim

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vim-syntax-upstart.spec,v $
Revision 1.7  2011/08/14 09:56:40  glen
- recognize upstart files in rc-scripts svn checkout

Revision 1.6  2011/08/14 09:51:43  glen
- up to 1.3

Revision 1.5  2011/01/27 18:40:42  glen
- release 4

Revision 1.4  2010/05/21 06:35:54  jajcus
- use upstart syntax for *.upstart files, that we use in package sources
- Release: 3

Revision 1.3  2010/05/11 10:33:33  jajcus
- syntax definition improvements
- PLD events added
- Release: 2

Revision 1.2  2010/04/20 17:38:31  glen
- vim dep with inversioned ftdetect

Revision 1.1  2010/04/20 17:34:38  glen
- new. from 0.6.5 tarball: 0.1 (2007 Feb 13)
